import { NextApiRequest, NextApiResponse } from 'next';
import { Pool } from 'pg';

// 创建数据库连接池
const pool = new Pool({
  user: 'your_db_user',
  host: 'localhost',
  database: 'your_db_name',
  password: 'your_db_password',
  port: 5432,
});

export default async (req: NextApiRequest, res: NextApiResponse) => {
  if (req.method === 'POST') {
    const { query } = req.body;

    try {
      const result = await pool.query(query);
      res.status(200).json({ result: result.rows });
    } catch (error) {
      res.status(500).json({ error: (error as Error).message });
    }
  } else {
    res.status(405).json({ error: 'Method Not Allowed' });
  }
};